Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159824 - CAN-2005-1761 local user can use ptrace to crash system
Summary: CAN-2005-1761 local user can use ptrace to crash system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: reported=20050607,impact=important,so...
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-06-08 11:44 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-551
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-25 13:18:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:551 normal SHIPPED_LIVE Important: kernel security update 2005-08-25 04:00:00 UTC

Comment 1 Mark J. Cox 2005-06-27 11:38:48 UTC
CAN-2005-1761 ptrace crasher
        HP reported via Intel a way that on ia64 a local user could
        write to the pl field via ptrace and therefore read/write
        kernel memory.


Comment 2 Mark J. Cox 2005-07-07 22:14:37 UTC
(Out of embargo)

Comment 7 Red Hat Bugzilla 2005-08-25 13:18:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-551.html



Note You need to log in before you can comment on or make changes to this bug.